unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, ComCtrls, ToolWin, ExtCtrls, ImgList;

type
  TForm1 = class(TForm)
    DBGrid1: TDBGrid;
    ControlBar1: TControlBar;
    ToolBar1: TToolBar;
    FilterButton: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ImageList1: TImageList;
    ToolButton1: TToolButton;
    ToolButton4: TToolButton;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FilterButtonClick(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure DBGrid1DblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3, Unit5, Unit4;

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
 if FileExists(ExtractFilePath(Application.ExeName)+'grid.dat') then
  DBGrid1.Columns.LoadFromFile(ExtractFilePath(Application.ExeName)+'grid.dat');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 DBGrid1.Columns.SaveToFile(ExtractFilePath(Application.ExeName)+'grid.dat');
end;

procedure TForm1.FilterButtonClick(Sender: TObject);
var
 FilterStr:String;
begin
 FilterStr:='';
 if not InputQuery(' ', ' :', FilterStr) then exit;

 if FilterStr='' then
  DataModule2.ADOTable1.Filtered:=false
 else
  begin
   DataModule2.ADOTable1.Filter:='='''+FilterStr+'''';
   DataModule2.ADOTable1.Filtered:=true;
  end;
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
var
 FindStr:String;
begin
 FindStr:='';
 if not InputQuery('  ', ' :', FindStr) then exit;

 if FindStr<>'' then
  begin
   DataModule2.ADOQuery1.Parameters.ParamValues['famil']:=FindStr;
   DataModule2.ADOQuery1.Active:=true;
   Form3.ShowModal;
  end;
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
 Form5.ShowModal;
end;

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
 Form4.ShowModal;
end;

end.

